@echo off
rem
@echo ***********************************************************************
rem   *
@echo *        Installing Drivers for RPL of DOS workstation, under
@echo *                      Microsoft Lan Manager
@echo *           Intel TokenExpress(tm) 16/4 Network Adapter
rem   *
@echo ***********************************************************************
@echo *
@echo *         This command file applies to a Microsoft LAN Manager 2.0 Rev C
@echo *         or later, Remote Boot Server. It prepares the server for RPL
@echo *         of DOS workstations with Intel TokenExpress network adapters.
@echo *
@echo *         Two files in your LANMAN directory will be renamed:
@echo *
@echo *         lanman\rpl\dosbbtok.cnf     --> lanman\rpl\dosbbtok.sav
@echo *         lanman\rpl\dos\protocol.ini --> lanman\rpl\dos\protocol.sav
@echo *
@echo *         and the Intel versions of those files. Moreover it
@echo *         will install the DOS MAC driver OLITOK.DOS in lanman\rpl\dos.
@echo *
@echo *         Execute this file from the LANMAN\DRIVERS\OLITOK directory.
@echo *
@echo *         **** Note ****
@echo *         Early versions of Lan Manager 2.0 had a common file dosbb.cnf
@echo *         instead of dosbbtok.cnf and dosbbeth.cnf for Token-ring and
@echo *         Ethernet LANs respectively. If you have these versions, change
@echo *         all instances of "dosbbtok" to "dosbb" in this file.
@echo *
@echo * If you want to terminate the installation, press Control-C
PAUSE
@echo *
@echo *            Installing RPL files for DOS Workstations
@echo *   
@echo *
@if exist ..\..\rpl goto A
@echo * Your LANMAN directory does not include RPL, or your current directory
@echo * is not LANMAN\DRIVERS\OLITOK.
@echo *
@echo * Installation terminated.
@goto stop
:A
@if exist ..\..\rpl\dosbbtok.sav goto B
@ren      ..\..\rpl\dosbbtok.cnf *.sav
:B
@if exist ..\..\rpl\dos\protocol.sav goto C
@ren      ..\..\rpl\dos\protocol.ini *.sav
:C
@copy dosbb.cnf    ..\..\rpl\dosbbtok.cnf
@copy protocol.rpl ..\..\rpl\dos\*.ini
@copy olitok.dos   ..\..\rpl\dos
@echo *
@echo * RPL installation completed
@echo on
:stop
